pipeline {
    agent any

    tools {
        // Install the Maven version configured as "M3" and add it to the path.
        maven "M3"
    }

    stages {
        stage('Preparation') {
            steps {
                // Get code from a GitHub repository
                git 'https://github.com/jglick/simple-maven-project-with-tests.git'
            }
        }
        
        stage('Build') {
            steps {
                sh "mvn -Dmaven.test.failure.ignore=true clean package"
            }
        }
        
        stage('Test') {
            steps {
                echo "Testing"
            }
            post {
                success {
                    junit '**/target/surefire-reports/TEST-*.xml'
                    archiveArtifacts 'target/*.jar'
                }
            }
        }

        stage("Email"){
            steps{
                echo 'Sending email notification ...'
                mail to: 'ipz2kor@bosch.com',
                subject: "Pipeline build is successfull",
                body: "Test email notification for pipeline"

            }
            post{
                success{
                    echo "Email sent !!"
                }
            }
        }

    }
}
